package com.th.demo.mapping.ware;

import com.th.demo.model.ware.ChangeRecord;
import com.th.demo.model.ware.MoveRecord;

import java.util.Date;
import java.util.List;

public interface ChangeRecordMapper {
    int deleteByPrimaryKey(String id);

    int insert(ChangeRecord record);

    int insertSelective(ChangeRecord record);

    ChangeRecord selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(ChangeRecord record);

    int updateByPrimaryKey(ChangeRecord record);

    List<ChangeRecord> selectByPlantNoForAccount(String plateNo,String belongId);

    List<ChangeRecord> select(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId);

    List<ChangeRecord> selectTotal(String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date date, Date fromDate, String userId, String belongId);
}